Bug 1002951 - Process lists do not scale
Process lists do not scale
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity medium
: CR2
: 6.2.0
Assigned To: Marco Rietveld
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 06:38 EDT by Zuzana Krejčová
Modified: 2017-12-07 18:34 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
instances in a small window (83.19 KB, image/png)
2013-08-30 06:38 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-08-30 06:38:14 EDT
Created attachment 792118 [details]
instances in a small window

Description of problem:
In both the Process Definitions and the Instances perspectives, there is a list of items. This list is set to contain 10 items per page and at the bottom, there are pager buttons to browse through more. If your browser window is smaller, the list still contains 10 items per page, even if this number doesn't fit on the page.
In Process Instances, there is a vertical scrollbar in such a case that allows you to get to lower items. 
In Process Definitions, you have no such choice now, there is no scrollbar.

If there is a list with pages, it doesn't make sense to keep the number of items fixed, resulting in another 'paging' mechanism being needed. Especially if that other mechanism isn't available in one perspective.

Ideally, there would be no need for a vertical scrollbar. The number of items would be decided dynamically, according to the page dimensions. As an easier solution, we could allow the user to choose how many items to display on each page.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER2
Comment 1 Mauricio Salatino 2013-09-02 05:08:32 EDT
Totally agree adding a way for the user to specify how many items the list is supposed to display is the best way to solve this issue. 
But that will be part of a more advanced table/grid widget that is not here yet. 
For now, the scroll allows the user to see all the items in the list (knowing that there is a fixed amount of items that will be displayed by the grid). Changing the number of items dynamically based on the available screen is not as easy as it sound, so I would prefer to go with a more neutral solution.
Comment 2 Mauricio Salatino 2013-09-05 12:07:26 EDT
Can we mark this as modified now? I believe that what is now on 6.0.x meet the basic expectations.
Comment 3 Zuzana Krejčová 2013-09-09 03:35:56 EDT
(In reply to Mauricio Salatino from comment #2)
> Can we mark this as modified now? I believe that what is now on 6.0.x meet
> the basic expectations.

I'd like to wait for the more advanced table/grid widget before you mark this as modified (unless I understood wrong and the widget is already in the code, just not in the ER2 build).
Comment 4 Prakash Aradhya 2013-09-16 17:59:14 EDT
This should be part of broader UX definition around navigation.
Adding Catherine to the list.

Internal Whiteboard: Beta Blocker → Blocker
Not critical for Beta, but need to address for GA
Comment 5 Catherine Robson 2013-09-16 18:38:01 EDT
UX will be working to propose some better functionality for table pagination and filtering for the GA release.  We'll come up with some proposals and work with engineering and PM on what is feasible for engineering and practical for the users.
Comment 6 Mauricio Salatino 2013-09-20 10:37:42 EDT
We should mark this issue as modified, because the data grid container is scaling properly, the only thing that is not changeable at this point is the number of items displayed per page.
Comment 7 Mauricio Salatino 2014-12-09 07:28:40 EST
This pull request https://github.com/uberfire/uberfire-extensions/pull/5
is for the based PagedTable widget to dynamically calculate the height based on the number of items per page defined in the table. 
The next improvement IMO, it should be a selector to choose between 10, 25, 50 items per page. That initially will give the user to at least have different sizes of grids to avoid paging when it is not required.
Comment 8 Jan Hrcek 2015-12-07 08:17:26 EST
In 6.2.0 there have been some UX improvements in the console. One of them includes the option to configure the number of items displayed par one page of the table. We've got some selenium tests verifying that these controls work.
Comment 12 Bugzilla account termination 2017-12-07 18:34:14 EST
Employee 'msalatin@redhat.com' has left the company.

Note You need to log in before you can comment on or make changes to this bug.